メインコンテンツへスキップ
PATCH
/
cms
/
v3
/
url-redirects
/
{urlRedirectId}
リダイレクトを更新
curl --request PATCH \
  --url https://api.hubapi.com/cms/v3/url-redirects/{urlRedirectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destination": "<string>",
  "id": "<string>",
  "isMatchFullUrl": true,
  "isMatchQueryString": true,
  "isOnlyAfterNotFound": true,
  "isPattern": true,
  "isProtocolAgnostic": true,
  "isTrailingSlashOptional": true,
  "precedence": 123,
  "redirectStyle": 123,
  "routePrefix": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.hubapi.com/cms/v3/url-redirects/{urlRedirectId}"

payload = {
    "destination": "<string>",
    "id": "<string>",
    "isMatchFullUrl": True,
    "isMatchQueryString": True,
    "isOnlyAfterNotFound": True,
    "isPattern": True,
    "isProtocolAgnostic": True,
    "isTrailingSlashOptional": True,
    "precedence": 123,
    "redirectStyle": 123,
    "routePrefix": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "updated": "2023-11-07T05:31:56Z"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    destination: '<string>',
    id: '<string>',
    isMatchFullUrl: true,
    isMatchQueryString: true,
    isOnlyAfterNotFound: true,
    isPattern: true,
    isProtocolAgnostic: true,
    isTrailingSlashOptional: true,
    precedence: 123,
    redirectStyle: 123,
    routePrefix: '<string>',
    created: '2023-11-07T05:31:56Z',
    updated: '2023-11-07T05:31:56Z'
  })
};

fetch('https://api.hubapi.com/cms/v3/url-redirects/{urlRedirectId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "destination": "<string>",
  "id": "<string>",
  "isMatchFullUrl": true,
  "isMatchQueryString": true,
  "isOnlyAfterNotFound": true,
  "isPattern": true,
  "isProtocolAgnostic": true,
  "isTrailingSlashOptional": true,
  "precedence": 123,
  "redirectStyle": 123,
  "routePrefix": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "updated": "2023-11-07T05:31:56Z"
}
{
  "message": "Invalid input (details will vary based on the error)",
  "correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
  "category": "VALIDATION_ERROR",
  "links": {
    "knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

urlRedirectId
string
必須

ボディ

application/json
destination
string
必須

ターゲットURLが「routePrefix」に一致する場合にリダイレクトされる転送先URL。

id
string
必須

このURLリダイレクトの固有ID。

isMatchFullUrl
boolean
必須

「routePrefix」がドメインを含めてURL全体で一致する必要があるかどうか。

isMatchQueryString
boolean
必須

「routePrefix」がクエリー文字列を含めてURLパス全体で一致する必要があるかどうか。

isOnlyAfterNotFound
boolean
必須

URLの公開中のページが見つからない場合のみURLリダイレクトマッピングを適用する必要があるかどうか。Falseの場合、URLリダイレクトマッピングは既存のどのページよりも優先されます。

isPattern
boolean
必須

パターンに基づいて「routePrefix」が一致する必要があるかどうか。

isProtocolAgnostic
boolean
必須

「routePrefix」がHTTPプロトコルとHTTPSプロトコルの両方に一致する必要があるかどうか。

isTrailingSlashOptional
boolean
必須

トレイリングスラッシュが無視されるかどうか。

precedence
integer<int32>
必須

URLリダイレクトに優先順位を付けるために使用されます。特定のURLが複数のリダイレクトに一致する場合、優先順位の「低い」URLが使用されます。

redirectStyle
integer<int32>
必須

作成するリダイレクトのタイプ。オプションには以下が含まれます:301(永久)、302(一時的)、305(プロキシー)。詳細については、[こちら](https://knowledge.hubspot.com/cos-general/how-to-redirect-a-hubspot-page)を参照してください。

routePrefix
string
必須

リダイレクトを行うために照合するターゲット受信URL、パス、またはパターン。

created
string<date-time>

URLマッピングが最初に作成された日時。

updated
string<date-time>

URLマッピングが最後に変更された日時。

レスポンス

successful operation

destination
string
必須

ターゲットURLが「routePrefix」に一致する場合にリダイレクトされる転送先URL。

id
string
必須

このURLリダイレクトの固有ID。

isMatchFullUrl
boolean
必須

「routePrefix」がドメインを含めてURL全体で一致する必要があるかどうか。

isMatchQueryString
boolean
必須

「routePrefix」がクエリー文字列を含めてURLパス全体で一致する必要があるかどうか。

isOnlyAfterNotFound
boolean
必須

URLの公開中のページが見つからない場合のみURLリダイレクトマッピングを適用する必要があるかどうか。Falseの場合、URLリダイレクトマッピングは既存のどのページよりも優先されます。

isPattern
boolean
必須

パターンに基づいて「routePrefix」が一致する必要があるかどうか。

isProtocolAgnostic
boolean
必須

「routePrefix」がHTTPプロトコルとHTTPSプロトコルの両方に一致する必要があるかどうか。

isTrailingSlashOptional
boolean
必須

トレイリングスラッシュが無視されるかどうか。

precedence
integer<int32>
必須

URLリダイレクトに優先順位を付けるために使用されます。特定のURLが複数のリダイレクトに一致する場合、優先順位の「低い」URLが使用されます。

redirectStyle
integer<int32>
必須

作成するリダイレクトのタイプ。オプションには以下が含まれます:301(永久)、302(一時的)、305(プロキシー)。詳細については、[こちら](https://knowledge.hubspot.com/cos-general/how-to-redirect-a-hubspot-page)を参照してください。

routePrefix
string
必須

リダイレクトを行うために照合するターゲット受信URL、パス、またはパターン。

created
string<date-time>

URLマッピングが最初に作成された日時。

updated
string<date-time>

URLマッピングが最後に変更された日時。

最終更新日 2026年4月10日